# zabbix-Dockerfile

Custom Zabbix container image.\
This has 2 images, 1 for `zabbix_server`, `nginx` and `php-pfm` based on `debian:11-slim` \
Another image that is being pulled from docker hub for mysql. \
Mysql files are mounted at datadir. \
`startservices.sh` contain script to start `zabbix_server`, `nginx` and `php-fpm`

## Getting started
### Building
- git clone and cd into git dir
- Build zabbix image
- cd into configdir and configure according to your set up.
```bash
git clone https://git.shihaam.dev/dockerfiles/zabbix-server.git
cd zabbix-server
docker-compose -f docker-compose-build.yml up -d
xdg-open http://localhost:8000
```

### Running production
- Git clone this repo and run `docker compose up -d`
```bash
git clone https://git.shihaam.dev/dockerfiles/zabbix-server.git
cd zabbix-server
docker-compose up -d
```
- You will have Zabbix frontent avaible on port 8009

## To-do
- mount all needed config dirs outside container. (currently only basic configs are there)
- mount scirpt dirs outside container add alert and other custom scripts.
- setup proper logging.
- mount log files from nginx,php-fpm and zabbix into datadir.
- monitor zabbix process,kill container if zabbix dies

